Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote
Class NoLongerExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.plumtree.remote.ServiceException
                  com.plumtree.remote.NoLongerExistsException

All Implemented Interfaces:
  java.io.Serializable

public class NoLongerExistsException
extends ServiceException

Thrown from a Crawler Web Service implementation of `IContainerProvider.attachToContainer` or `IDocumentProvider.attachToDocument` when the requested resource no longer exists in the repository being crawled. Returned to the portal as a string containing a status code (and error message if provided) instead of as a SOAP Fault. Note: The resource is removed from the portal when this exception is thrown.

See Also:
  Serialized Form

Constructor Summary
`NoLongerExistsException()` Default constructor.
`NoLongerExistsException(java.lang.String message)` Valued constructor.

Methods inherited from class com.plumtree.remote.ServiceException
`getInnerException, getMessage, getStackTraceAsString, getStatusCode, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoLongerExistsException

    public NoLongerExistsException()

  Default constructor.

### NoLongerExistsException

    public NoLongerExistsException(java.lang.String message)

  Valued constructor.

Parameters:
  `message` - the string to display in the error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.